export declare const API_NAMESPACE = "AsyncDebugger";
export declare function getLogger({ info, warn, error, }?: Partial<Logger>): Logger;
export interface Bindings {
    [variableName: string]: () => unknown;
}
export interface Logger {
    info: ((...args: unknown[]) => void) | null;
    warn: ((...args: unknown[]) => void) | null;
    error: ((...args: unknown[]) => void) | null;
}
export interface DebugAsyncCommonOptions {
    contexts?: object[];
    logger?: Partial<Logger>;
    apiNamespace?: string;
    overrideProperties?: boolean;
}
